<?php
/**
 *
 * @category        modules
 * @package         minislider
 * @author          Ruud Eisinga
 * @link			http://www.allwww.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.2.2 and higher
 * @version         0.2.1
 * @lastmodified    October 30, 2017
 *
 */
if(defined('WB_PATH') == false) { exit("Cannot access this file directly"); }
require_once ('functions.php');
if(!file_exists(WB_PATH.'/modules/minislider/languages/'.LANGUAGE.'.php')) {
	require_once(WB_PATH.'/modules/minislider/languages/EN.php');
} else {
	require_once(WB_PATH.'/modules/minislider/languages/'.LANGUAGE.'.php');
}
$transitions = array("sliceDown","sliceDownLeft","sliceUp","sliceUpLeft","sliceUpDown","sliceUpDownLeft","fold","fade","slideInRight","slideInLeft","boxRandom","boxRain","boxRainReverse","boxRainGrow","boxRainGrowReverse");
$themes = array("default","light","dark","bar");

// Get page content
$query = "SELECT * FROM ".TABLE_PREFIX."mod_minislider WHERE section_id = '$section_id'";
$get_settings = $database->query($query);
$settings = $get_settings->fetchRow();
$texts = ($settings['texts']);
$class = $settings['class'];
$transition = $settings['transition'];

$theme = '<select name="class">';
foreach ($themes as $t) {
	$s = $t==$class?' selected="selected"':'';
	$theme .= '<option'.$s.'>'.$t.'</option>';
}
$theme .= '</select>';

$trans = '<select name="transition">';
foreach ($transitions as $t) {
	$s = $t==$transition?' selected="selected"':'';
	$trans .= '<option'.$s.'>'.$t.'</option>';
}
$trans .= '</select>';

//build images
$imglist = '';
$curdir = $section_id."/";
$images = _minislider_getImages($basedir,$curdir); 
if($images) {
	foreach($images as $img) { 
		$imglist .= '<img style="margin:3px;width:100px;" src="'.$baseurl.$curdir.''.basename($img['file']).'" alt="'.$baseurl.$curdir.basename($img['file']).'" title="'.$baseurl.$curdir.basename($img['file']).'">'; 
	} 
}
?>
<form action="<?php echo WB_URL ?>/modules/minislider/save.php" method="post" onsubmit="$('#mgsettings-<?php echo $section_id ?>,#mgupload-<?php echo $section_id ?>,#mgimages-<?php echo $section_id ?>').hide(); $('#mgwait-<?php echo $section_id ?>').show();" enctype="multipart/form-data" >
	<input type="hidden" name="page_id" value="<?php echo $page_id ?>" />
	<input type="hidden" name="section_id" value="<?php echo $section_id ?>" />
	<table cellpadding="3" cellspacing="0" border="0" style="border:1px solid #28609B; width:100%" >
		<tr>
			<td><h2><?php echo $MG['MINISLIDER'] ?></h2></td>
			<td align="right">
				<a href="#" onclick=" $('#mgsettings-<?php echo $section_id ?>').toggle();$('#mgupload-<?php echo $section_id ?>  ,#mgimages-<?php echo $section_id ?>').hide();return false;"><?php echo $MG['SETTINGS'] ?></a> | 
				<a href="#" onclick=" $('#mgupload-<?php echo $section_id ?>').toggle()  ;$('#mgsettings-<?php echo $section_id ?>,#mgimages-<?php echo $section_id ?>').hide();return false;"><?php echo $MG['UPLOAD'] ?></a> | 
				<a href="#" onclick=" $('#mgimages-<?php echo $section_id ?>').toggle()  ;$('#mgupload-<?php echo $section_id ?>,#mgsettings-<?php echo $section_id ?>').hide();return false;"><?php echo $MG['CURRENT'] ?></a>
			</td>
		</tr>
	</table>
	<br/>
	<table id="mgsettings-<?php echo $section_id ?>" style="display:none; border:3px solid #28609B; width:100%" cellpadding="3" cellspacing="3" border="0" >
		<tr><td colspan="2"><h2><?php echo $MG['MINISLIDER'] ?> - <?php echo $MG['SETTINGS'] ?></h2></td></tr>
		<tr><td width="150"><?php echo $MG['ADDCLASS'] ?>: </td><td><?php echo $theme ?></td></tr>
		<tr><td><?php echo $MG['ADDTRANS'] ?>: </td><td><?php echo $trans ?></td></tr>
		<tr><td colspan="2"><?php echo $MG['ADDTEXT'] ?>: </td></tr>
		<tr><td colspan="2"><textarea style="width: 95%; height:100px;" cols="80" rows="5" name="texts"><?php echo $texts ?></textarea></td></tr>
		<tr>
			<td><input type="submit" value="<?php echo $MG['SAVE'] ?>" style="width: 200px; margin-top: 5px;" /></td>
			<td colspan="2" align="right"><input type="button" value="<?php echo $MG['CANCEL'] ?>" onclick="javascript: window.location = 'index.php';" style="width: 200px; margin-top: 5px;" /></td>
		</tr>
	</table>
	<table id="mgupload-<?php echo $section_id ?>" style="display:none;border:3px solid #28609B; width:100%" cellpadding="3" cellspacing="3" border="0" width="100%">
		<tr><td colspan="4"><h2><?php echo $MG['MINISLIDER'] ?> - <?php echo $MG['UPLOAD'] ?></h2></td></tr>
		<tr><td colspan="4"><?php echo $MG['NOTE'] ?></td></tr>
		<tr><td colspan="4"><label><?php echo $MG['REMOVECUR'] ?> <input type="checkbox" name="removecur" /></label></td></tr>
		<tr>
			<td><?php echo $MG['FILE'] ?> </td><td><input size="50" type="file" name="image-1" /></td>
			<td><?php echo $MG['FILE'] ?> </td><td><input size="50" type="file" name="image-2" /></td>
		</tr>
		<tr>
			<td><?php echo $MG['FILE'] ?> </td><td><input size="50" type="file" name="image-3" /></td>
			<td><?php echo $MG['FILE'] ?> </td><td><input size="50" type="file" name="image-4" /></td>
		</tr>
		<tr>
			<td><?php echo $MG['FILE'] ?> </td><td><input size="50" type="file" name="image-5" /></td>
			<td><?php echo $MG['FILE'] ?> </td><td><input size="50" type="file" name="image-6" /></td>
		</tr>
		<tr>
			<td><?php echo $MG['FILE'] ?> </td><td><input size="50" type="file" name="image-7" /></td>
			<td><?php echo $MG['FILE'] ?> </td><td><input size="50" type="file" name="image-8" /></td>
		</tr>
		<tr>
			<td><?php echo $MG['FILE'] ?> </td><td><input size="50" type="file" name="image-9" /></td>
			<td><?php echo $MG['FILE'] ?> </td><td><input size="50" type="file" name="image-10" /></td>
		</tr>
		<tr>
			<td colspan="2"><input type="submit" value="<?php echo $MG['SAVE'] ?>" style="width: 200px; margin-top: 5px;" /></td>
			<td colspan="2" align="right"><input type="button" value="<?php echo $MG['CANCEL'] ?>" onclick="javascript: window.location = 'index.php';" style="width: 200px; margin-top: 5px;" /></td>
		</tr>
	</table>
	<table id="mgimages-<?php echo $section_id ?>" style="display:none;border:3px solid #28609B; width:100%" cellpadding="3" cellspacing="3" border="0" width="100%">
		<tr><td ><h2><h2><?php echo $MG['MINISLIDER'] ?> - <?php echo $MG['CURRENT'] ?></h2></td></tr>
		<tr><td ><?php echo $imglist ?></td></tr>
	</table>
	<table id="mgwait-<?php echo $section_id ?>" style="display:none;border:3px solid #28609B;" cellpadding="3" cellspacing="3" border="0" width="100%">
		<tr><td ><strong><?php echo $MG['UPLOADING'] ?></strong></td></tr>
	</table>
</form>