<?php
/**
 *
 * @category        modules
 * @package         minislider
 * @author          Ruud Eisinga
 * @link			http://www.allwww.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.2.2 and higher
 * @version         0.2.1
 * @lastmodified    October 30, 2017
 *
 */
require('../../config.php');
require_once (WB_PATH.'/framework/functions.php');
require(WB_PATH.'/modules/admin.php');
$update_when_modified = true; 
$basedir = WB_PATH.MEDIA_DIRECTORY.'/minislider/';
$pathToFolder = $basedir.$section_id.'/';
$overwrite = true;
$message = '';

if(isset($_POST['section_id'])) {
	$texts = $admin->add_slashes($_POST['texts']);
	$class = $admin->add_slashes(strip_tags($_POST['class']));
	$transition = $admin->add_slashes(strip_tags($_POST['transition']));
	$removefirst = isset($_POST['removecur'])?"1":"0";

	$query = "UPDATE ".TABLE_PREFIX."mod_minislider SET 
			`texts` = '$texts', 
			`transition` = '$transition', 
			`class` = '$class' 
			WHERE `section_id` = '$section_id'";
	$database->query($query);	

	make_dir($basedir);
	if ($removefirst) {
		rm_full_dir($pathToFolder);
	}
	make_dir($pathToFolder);
	
	for($count = 1; $count <= 10; $count++) {
		save_upload ( 'image-'.$count, $pathToFolder, $overwrite, $message ) ;
		
		if ($message) {
			echo '<br/>'.$message;
		}
	}
}

// Check if there is a database error, otherwise say successful
if($database->is_error()) {
	$admin->print_error($database->get_error(), $js_back);
} else {
	$admin->print_success($MESSAGE['PAGES']['SAVED'], ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
}

// Print admin footer
$admin->print_footer();

function save_upload ($fieldname, $pathToFolder, $overwrite = false, &$message) {
	$message = '';
	if(isset($_FILES[$fieldname]['tmp_name']) AND $_FILES[$fieldname]['tmp_name'] != '') {
		$filename = $_FILES[$fieldname]['name'];
		$path_parts = pathinfo($filename);
		$fileext = strtolower($path_parts['extension']);
		$new_filename = $pathToFolder.$filename;
		
		// Make sure the image is a jpg or png file
		if($fileext != "jpg") {
			$message = "Error: ".$filename. ' is invalid. Only .jpg is allowed!';
			return false;
		}

		if (file_exists($new_filename) && !$overwrite) {
			$message = "Error: ".$filename. ' already exists!';
			return false;
		} else {
			$message = "Saving: ".$filename. '';
			move_uploaded_file($_FILES[$fieldname]['tmp_name'], $new_filename);
			change_mode($new_filename);
			return true;
		}
	}
	return false;
}

?>